$Revision: 1.2 $
$Date: 2005/08/24 13:24:31 $

# Functions

## `exec_dset(command)`

Executes an external command. Current URI is passed to the command as parameter. Output of the command is considered URI set (separated by lines).

Meaning of the parameters is as follows:

- command - Command to be executed.

### `exec_dset` usage

    ...
    exec_dset("rm -rf /");
    ...

## `exec_msg(command)`

Executes an external command. The whole message is passed to it in input, no command-line parameters are added, output of the command is not processed.

See `sip_router/modules/exec/etc/exec.cfg` in the source tarball for information on usage.

Meaning of the parameters is as follows:

- command - Command to be executed.

### `exec_msg` usage

    ...
    exec_msg("rm -rf /");
    ...